
QGIS Application - Bug report #2372

"Paste to Clipboard" in "Attribute Dialog/Table" lacks commas

2010-01-16 03:35 PM - Sfkeller -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 12432

Description

When using "Attribute Dialog/Table" (with QGIS 1.4) and doing a "Paste to Clipboard" the contents of the paste buffer contains no

commas - but it should (it should be CSV)...

wkt_geom  ID  TYPE  NATION  CNTRYNAME LEVEL NAME  CODE  POP_CLASS 

PROV1NAME DUP_NAME  CONURB  CAPITAL

POINT 1 Medium City 41  Switzerland 1 Genève    

100,001 - 500,000 Genferseeregion Y   N

History

#1 - 2010-01-20 02:05 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

Actually the separator value is a "tab" and what you obtain is a valid csv formatted file. You can then save your file and choose whatever separator value

you want.

#2 - 2010-01-20 02:14 AM - Sfkeller -

- Resolution deleted (wontfix)

- Status changed from Closed to Feedback

Ok, "tab" instead "comma" (as indicated in some documentation). 

But at least under Windows it's two sometimes on space(s) - still NOT "tab".

#3 - 2010-01-20 02:29 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Feedback to Closed

Replying to [comment:2 Sfkeller]:

Ok, "tab" instead "comma" (as indicated in some documentation). 

But at least under Windows it's two sometimes on space(s) - still NOT "tab".
It works nicely for me under windows with Open Office Calc. If you use MS Office Excel you should configure it to open the csv files the right way.

If in the documentation is described that the separator field is a comma then please ask in the community mailing list to correct the problem.

#4 - 2010-01-20 02:41 AM - Sfkeller -

Outch, right: My text editor and it's settings (which silently converted tabs to spaces) solved the problem.
